<?xml version="1.0" encoding="utf-8"?>
<manifest
	xmlns:android="http://schemas.android.com/apk/res/android"
	package="com.arp.adokbfa"
	android:versionCode="1"
	android:versionName="1"
	android:installLocation="internalOnly">
	
	<uses-sdk android:minSdkVersion="5" android:targetSdkVersion="19"/>
	<supports-screens android:largeScreens="true" 
	    android:normalScreens="true" 
	    android:smallScreens="true" 
	    android:anyDensity="true"/>
	<uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED"/>
	<uses-permission android:name="android.permission.READ_PHONE_STATE"/>
	<uses-permission android:name="android.permission.INTERNET"/>
	<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
	<uses-permission android:name="android.permission.WAKE_LOCK"/>
	<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
	<uses-permission android:name="android.permission.VIBRATE"/>
	<uses-permission android:name="android.permission.FOREGROUND_SERVICE"/>
	<uses-permission android:name="android.permission.BROADCAST_STICKY"/>
	<application
		android:icon="@drawable/icon"
		android:label="Adok Sample b4a"
		android:theme="@android:style/Theme.Holo">
		
		<activity android:name="arp.com.adok.MainWin"  />
		        <activity android:name="arp.com.adok.LoginActivity"/>
		        <activity android:name="arp.com.adok.LoadingPage"/>
		        <activity android:name="arp.com.adok.ShowAlertActivity" />
		        <activity android:name="arp.com.adok.adokshownotification" android:exported="true" />
		
		        <service android:name="arp.com.adok.CrashReport"/>
		        <service android:name="arp.com.adok.NotificationService" android:process=":externalProcess"></service>
		        <service android:name="arp.com.adok.NotificationServiceIO" android:process=":externalProcess"></service>
		        <service android:name="arp.com.adok.RunDuration"/>
		        <service android:name="arp.com.adok.SyncWeb"/>
		        <service android:name="arp.com.adok.HandleUser"/>
		        <service android:name="arp.com.adok.NotiTimer"/>
		        <service android:name="arp.com.adok.CheckConnectService" />
				
		        <service android:name="arp.com.adok.CrashReportJS"
		            android:permission="android.permission.BIND_JOB_SERVICE"
		            android:exported="true"/>
					
		        <service android:name="arp.com.adok.NotiTimerJS"
		            android:permission="android.permission.BIND_JOB_SERVICE"
		            android:exported="true">
					
					<intent-filter>
		                <action android:name="android.app.action.DEVICE_ADMIN_ENABLED"/>
		            </intent-filter>
				</service>
				
		        <service android:name="arp.com.adok.SyncWebJS"
		            android:permission="android.permission.BIND_JOB_SERVICE"
		            android:exported="true"/>
					
		
		        <receiver android:name="arp.com.adok.notificationReciever">
		            <intent-filter>
		                <action android:name="android.intent.action.BOOT_COMPLETED"/>
		                <action android:name="android.content.Intent.ALARM" />
		                <action android:name="android.intent.action.ACTION_POWER_CONNECTED" />
		                <action android:name="android.intent.action.AIRPLANE_MODE" />
		                <action android:name="android.intent.action.ANSWER" />
		                <action android:name="android.intent.action.CAMERA_BUTTON" />
		                <action android:name="android.intent.action.DOCK_EVENT" />
		                <action android:name="android.intent.action.HEADSET_PLUG" />
		                <action android:name="android.intent.action.SCREEN_OFF" />
		                <action android:name="android.intent.action.SCREEN_ON" />
		            </intent-filter>
		        </receiver>
		
		        <receiver android:name="arp.com.adok.NotificationStarter">
		            <intent-filter>
		                <action android:name="com.test.intent.action.ALARM" />
		            </intent-filter>
		        </receiver>
		
		        <receiver android:name="arp.com.adok.NotiScreenChecker" >
		            <intent-filter>
		                <action android:name="android.intent.action.ACTION_USER_PRESENT" />
		                <action android:name="android.intent.action.ACTION_BOOT_COMPLETED" />
		                <action android:name="android.intent.action.ACTION_SCREEN_ON" />
		                <action android:name="com.test.intent.action.ALARM" />
		            </intent-filter>
		        </receiver>
		<activity
			android:windowSoftInputMode="stateHidden"
			android:launchMode="singleTop"
			android:name=".main"
			android:label="Adok Sample b4a"
			android:screenOrientation="portrait">
			<intent-filter>
			   <action android:name="android.intent.action.MAIN" />
			   <category android:name="android.intent.category.LAUNCHER" />
			</intent-filter>
			
		</activity>
		<service android:name=".starter">
		</service>
		<receiver android:name=".starter$starter_BR">
			<intent-filter>
			<action android:name="android.intent.action.BOOT_COMPLETED"/>
			</intent-filter>
		</receiver>
	</application>
</manifest>